Subject: RE: [PCN] A two-layer approach for PCN

From: <[email-masked]>
Date: Wed, 30 Jan 2008 12:41:02 -0000

Michael,

To take account of this, I think the best thing is to add a boost near
the start of Section 4 (high level functional archit), on the lines:

The objective is to standardise PCN-marking behaviour, but potentially
produce more than one (informational) RFC describing how
PCN-boundary-nodes react to PCN-marks. 

I'll also add some words on similar lines to S8.1 (Configuration OAM)

phil

> -----Original Message-----
> From: Michael Menth [mailto:[email-masked]]
> Sent: 11 December 2007 22:06
> To: pcn
> Subject: [PCN] A two-layer approach for PCN
> 
> Hi all,
> 
> during last week's meeting I had discussions with many people
regarding
> a separation of packet marking vs. admission control and flow
> termination aspects. The intention was to make the structure of PCN
more
> obvious and to facilitate its adaptation to various network
> architectures. The following text reflects the outcome of these
> discussions.
> 
> Comments are welcome.
> 
> Regards,
> 
>     Michael
> 
> --
> 
> The pre-congestion notification (PCN) architecture consists of two
> different layers: the packet marking layer (PML) and the admission
> control and flow termination layer (ACFTL).
> The packet marking layer (PML) describes how PCN-capable interior
nodes
> meter and mark PCN packets. Within a single network only one packet
> marking layer (PML) MUST be deployed, i.e. PCN-capable interior nodes
> MUST implement the same metering and marking behavior for all links.
The
> admission control and flow termination layer (ACFTL) describes how PCN
> edge nodes make use of the packet markings observed by the PCN egress
> node to decide whether new flows can be accepted or whether already
> admitted flows need to be terminated. The implementation of the
> admission control and flow termination layer (ACFTL) may take
advantage
> of specific transport architectures and may be tailored for various
> signaling architectures with which it needs to interoperate. In
contrast
> to the packet marking layer (PML), different instances admission
control
> and flow termination layers (ACFTL) MAY be used in the same network as
> long as they interpret the semantics of the packet markings in the
same
> way and don't lead to unfairness issues.
> 
> 
>                        +---+---+---+---+
>                        | A | A | . | A |
>                        | C | C | . | C |
>                        | F | F | . | F |
>                        | T | T | . | T |
>                        | L | L | . | L |
>                        |   |   |   |   |
>                        | 0 | 1 | . | n |
>                        +---+---+---+---+
>                        |      PML      |
>                        +---------------+
> 
> Figure 1: Within a single network, only one packet marking layer (PML)
>          MUST be deployed, but several admission control and flow
>          termination layers (ACFTL) MAY coexist.
> 
> In the following, the concepts of the packet marking layer (PML) and
> admission control and flow termination layer (ACFTL) are briefly
> illustrated.
> 
> 4 examples of mutually exclusive interior node behaviors for
> implementation of the PML:
> 
> a) Ramp marking based on the admissible rate and excess-rate marking
> based on the supportable rate (CL proposal)
> b) Threshold marking based on the admissible rate and excess-rate
> marking with marking frequency reduction based on the supportable rate
> (3sm proposal)
> c) Threshold marking based on the admissible rate and excess-rate
> marking based on the supportable rate (behavioral intersection of CL
and
> 3sm proposal)
> d) Excess rate marking based on the admissible rate (Single Marking
> proposal)
> 
> Note that only one packet marking layer (PML) can be deployed within a
> single network.
> 
> 
> 3 examples for different edge node behaviors for implementation of the
> admission control and flow termination layer (ACFTL) based on the
packet
> marking layer b) above:
> 
>  o E3Tunnel
>    Given: edge-to-edge MPLS tunnels;
>    Egress node measures CLE for tunnel and depending on that value, it
> sends an "admission-stop" or "admission-continue" message to the
> corresponding ingress node that then stops or continues admitting
> further flows.
>    Flows are terminated when one of its packets was ET-marked.
>  o End2PS
>    Given: end-to-end on-path signalling protocol;
>    PCN egress node is a RSVP capable node and returns PATHERR if first
> PATH msg was "admission-stop" marked; PCN ingress node accepts all
flows
> whose RESV messages come through.
>    Flows are terminated when one of its packets was ET-marked: the PCN
> egress node sends a RESVTEAR message to the PCN ingress.
>  o Centralized node
>    Given: centralized node (CN) in charge of admitting or terminating
> flows;
>    Upon a new flow arrival, the CN issues an admission request to PCN
> ingress node for a future data flow with an indicated
source-destination
> tuple;
>    CN sends a probe packet to the PCN egress node which returns the
> probe to the CN; the CN rejects the flow if probe was marked and
admits
> it if probe was unmarked.
>    Flows are terminated when one of its packets was ET-marked. The PCN
> egress node sends the marked packet to the CN which terminated the
> corresponding flow.
> 
> These admission control and flow termination layers (ACFTL) MAY
> simultaneously be applied in the same network. Similar methods can be
> defined based on the other packet marking layers (PML) defined above.
> 
> Within the current charter, only one packet marking layer (PML) should
> be standardized as well as only one admission control and flow
> termination layer (ACFTL), presumably for ingress-egress aggregates.
> However, it is desirable that the architecture is extensible towards
> other admission control and flow termination layers (ACFTL) to address
> the need of various network architectures (e.g., without explicit
> aggregates, with multipath routing, with centralized control nodes,
...)
> that need QoS support in the future.
> 
> Note: this text does not contradict the current version of the
> architecture draft. Essentially, the packet marking behavior of
interior
> nodes is put into a packet marking layer and the admission control and
> flow termination behavior of edge nodes is put into an admission
control
> and flow termination layer. The two-layer approach just makes the idea
> more explicit that different edge node behaviors may be defined for a
> single interior node behavior and that several edge node behaviors may
> coexist in the same network if necessary.
> 
> --
> Dr. Michael Menth, Assistant Professor
> University of Wuerzburg, Institute of Computer Science
> Am Hubland, D-97074 Wuerzburg, Germany, room B206
> phone: (+49)-931/888-6644, fax: (+49)-931/888-6632
> mailto:[email-masked]
> http://www3.informatik.uni-wuerzburg.de/research/ngn
> 
> 
> 
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn

_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn